PDA

View Full Version : HelpZ?



TheBetterDan
20th February 2008, 22:55
Having a pretty lame problem. When ever i start sdk its all like loads then nothing happens nothing opens or anything i can just restart it and still.

Ging
20th February 2008, 23:11
Are you running the new beta SDK? If so, do you own the orange box?

If you are and you don't, stop using the beta SDK or purchase OB. Otherwise, no idea.

TheBetterDan
20th February 2008, 23:32
Hmm I not using the new sdk beta and it was acting like this before OB. hmmm Im doing a mad reinstall of everything steam related :( Thanks any ways

Sithun
23rd February 2008, 19:48
Having the same problem. (Damn you steam!)
I am installing "Source SDK - Orange box" and i hope that will solve it. I see no reason why it would fuck up even further after that, but you never know.

If i have to buy OB, ill put my copy of hl2 up for sale to one of you guys. ;)

TheBetterDan
23rd February 2008, 22:31
I found out how to fix the problem, on Interlopers.

Setting up the Source SDK for older games

To use the Source SDK with pre-orange box games, you must use a command line switch to do this

1. Right click on Source SDK in the Tools tab of Steam
2. Select "Properties"
3. Click the "Set Launch Options"
4. Type this: -engine ep1
5. Click "Ok"
6. Click "Close"

-SM-SUCKER
23rd February 2008, 23:15
I'm not having this issue, but I think this one could deserve a sticky in the tech forum ->

Ging
23rd February 2008, 23:37
It won't be an issue once the currently beta SDK is released properly - you get a pretty drop down box instead.

Paegus
24th February 2008, 13:15
couldn't they just have a separate appid and be done with it? lets say 216 for the ep2 engine? or some other bit that the modder can set when they have a ep2 mod that tells steam what to do...

Ging
24th February 2008, 13:49
218 is the Ep2 equivalent of Source SDK Base - but you still need to tell the tools which version you're working from, rather than cluttering up the tools menu with different versions of the SDK, they do that with a simple drop down box inside the SDK.